Pāriet uz saturu

GPT Image 2 API · Edit

Integrēt

Modeļa id openai/gpt-image-2/edit
# Run the model; wait up to 20 s for the finished result in the same call
curl -X POST "https://api.doitong.com/v1/run/openai/gpt-image-2/edit?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
    "prompt": "A red fox trots through fresh snow at sunrise, soft golden light, shallow depth of field",
    "images": [
      "https://content.doitong.com/images/showcase/v3/gen_fox_cartoon.jpg"
    ]
  }'

# Still "queued" or "running"? Poll with the id from the response:
curl "https://api.doitong.com/v1/requests/REQUEST_ID?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY"

Šis pieprasījums: ≈0,222 $ 222 API kredīti Izpildīt šajā lapā

Iegūt API atslēgu
OpenAI Attēlu rediģēšana #gpt-image-2#openai#chatgpt-images-2

GPT Image 2 rediģēšana ar līdz 16 atsauces attēliem un neobligātu masku

Izveidots vietnē Doitong

Doitong kopienas publiskie darbi, kas izveidoti ar GPT Image 2 API. Izmantojiet uzvedni atkārtoti ar vienu klikšķi.

Rādīti publiskie darbi: 16
Art style: Реалистичный кулинарный блог. Финальный кадр, средний план ведущей. Она улыбается свое...

Art style: Реалистичный кулинарный блог. Финальный кадр, средний план ведущей. Она улыбается своей самой широкой и дружелюбной улыбкой, глядя в камеру. Она делает призывающий жест руками, словно приглашая к общению. Перед ней на столе по-прежнему лежат аппетитные булочки. Освещение становится...

Grungy analog photo of Daphne Blake (from Serial scooby doo) watching her own movie on a 90s CRT ...

Grungy analog photo of Daphne Blake (from Serial scooby doo) watching her own movie on a 90s CRT TV in a dimly lit bedroom. The TV clearly shows animated scene from scooby doo, with a cartoon-style Daphne in her classic clothes on screen, smiling. Daphne Blake is sitting cross-legged on the floor...

Fotografia realistica scattata dall’interno di un appartamento situato a un piano abbastanza alto...

Fotografia realistica scattata dall’interno di un appartamento situato a un piano abbastanza alto, guardando verso il basso attraverso una finestra aperta su una normale strada cittadina. In strada, una folla numerosa di manifestanti avanza compatta; alcune persone indossano passamontagna. Sul...

Art style: Disney-inspired. Золушка walking further back in the frame; Косметолог standing in the...

Art style: Disney-inspired. Золушка walking further back in the frame; Косметолог standing in the near foreground. The couch and strip of reflective floor separate them. Золушка is walking on glossy floor near the open doorway further back in the frame in the midground. Torso in three-quarter...

Art style: Реалистичный кулинарный блог. Экстремально крупный план рук ведущей, разламывающих гот...

Art style: Реалистичный кулинарный блог. Экстремально крупный план рук ведущей, разламывающих готовую, горячую булочку. Булочка имеет аппетитную золотисто-коричневую корочку, густо посыпанную поджаренным кунжутом. В месте разлома видна пористая, воздушная и очень мягкая текстура мякиша...

Art style: Реалистичный кулинарный блог. Финальный кадр, средний план ведущей. Она улыбается свое...

Art style: Реалистичный кулинарный блог. Финальный кадр, средний план ведущей. Она улыбается своей самой широкой и дружелюбной улыбкой, глядя в камеру. Она делает призывающий жест руками, словно приглашая к общению. Перед ней на столе по-прежнему лежат аппетитные булочки. Освещение становится...

Square album cover for an energetic house dance single. A dancing crowd silhouette in a night clu...

Square album cover for an energetic house dance single. A dancing crowd silhouette in a night club under warm orange and golden stage lights, flying sparks and flames rising from the dance floor, misty Scottish highland mountains faintly visible in the glowing background. Bold modern clean...

Medium shot of launch team executives in smart casual blazers over plain t-shirts, sitting in a m...

Medium shot of launch team executives in smart casual blazers over plain t-shirts, sitting in a modern conference room facing a large display showing the 'International AI Safety Report' document title from February 2026, professional lighting. Context markers: smart casual blazer, plain t-shirt,...

Izveidot pieprasījumu

Vadīklas tiek ģenerētas no modeļa shēmas. Kods un cena tiek atjaunināti, kad tos maināt.

•obligāts 88 / 32000

Uzvedne, ko izmanto attēlu ģenerēšanai.

•obligāts image_urls
Nometiet failu vai · līdz 16

Atsauces attēlu URL ģenerēšanai, ne vairāk kā 16 attēli.

image_size noklusējums auto

Izvades izmēri, kas, iestatot 'auto', tiek noteikti pēc piegādātajiem attēliem.

num_images noklusējums 1

Izveidojamo attēlu skaits.

Papildu mask · background · quality · output_format · enable_safety_checker
mask_url
Nometiet failu vai

URL maskas attēlam, kas ģenerēšanas laikā identificē rediģējamo apgabalu.

background noklusējums auto

Rezultāta attēla fons.

quality noklusējums high

Attēla kvalitātes atlase, tostarp 'auto' modeļa izvēlei atkarībā no uzvednes.

output_format noklusējums png

Izvades attēlu faila formāts.

POST /run/openai/gpt-image-2/edit?wait=20 cena → 0,222 $
# Run the model; wait up to 20 s for the finished result in the same call
curl -X POST "https://api.doitong.com/v1/run/openai/gpt-image-2/edit?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
    "prompt": "A red fox trots through fresh snow at sunrise, soft golden light, shallow depth of field",
    "images": [
      "https://content.doitong.com/images/showcase/v3/gen_fox_cartoon.jpg"
    ]
  }'

# Still "queued" or "running"? Poll with the id from the response:
curl "https://api.doitong.com/v1/requests/REQUEST_ID?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY"

Palaist šo pieprasījumu

Jūsu atslēga paliek šajā pārlūkprogrammā: tā tiek nosūtīta tikai uz Doitong API un saglabāta (localStorage) tikai tad, ja atzīmējat Atcerēties. Iegūt API atslēgu

Par GPT Image 2 API · Edit

Rediģē vai kompozicionē attēlus no līdz 16 URL laukā `image_urls`, izmantojot uzvedni, kuras garums nepārsniedz 32000 rakstzīmes. `mask_url` ierobežo rediģēšanu līdz konkrētam apgabalam. `image_size` noklusējuma vērtība ir auto, kas izmēru nosaka pēc ievades. Kvalitāte ir no auto līdz high, un iespējams iegūt līdz 4 izvades attēliem png, jpeg vai webp formātā.

Parametri

Nosūti vai nu kanonisko nosaukumu, vai vietējo nosaukumu, bet ne abus. Kan啤niskie nosaukumi

NosaukumsTips NoklusējumsAtļauts Apraksts
promptobligāts
Tipsstring
≤ 32 000 rakstzīmju≥ 2 rakstzīmes
Uzvedne, ko izmanto attēlu ģenerēšanai.
image_urlsobligāts images
Tipsurl[] · image
≤ 16 vienumu
Atsauces attēlu URL ģenerēšanai, ne vairāk kā 16 attēli.
image_sizeneobligāts
Tipsobject
Noklusējumsauto
square_hdsquareportrait_4_3portrait_16_9landscape_4_3landscape_16_9auto
Izvades izmēri, kas, iestatot 'auto', tiek noteikti pēc piegādātajiem attēliem.
backgroundneobligāts
Tipsenum
Noklusējumsauto
autotransparentopaque
Rezultāta attēla fons.
qualityneobligāts
Tipsenum
Noklusējumshigh
autolowmediumhigh
Attēla kvalitātes atlase, tostarp 'auto' modeļa izvēlei atkarībā no uzvednes.
num_imagesneobligāts num_outputs
Tipsinteger
Noklusējums1
1 – 4
Izveidojamo attēlu skaits.
output_formatneobligāts
Tipsenum
Noklusējumspng
jpegpngwebp
Izvades attēlu faila formāts.
enable_safety_checkerneobligāts
Tipsboolean
Noklusējumstrue
Pārbaudi var atslābināt, iestatot false, ja izsaucējam ir atļauja.
mask_urlneobligāts mask
Tipsurl · image
URL maskas attēlam, kas ģenerēšanas laikā identificē rediģējamo apgabalu.
obligāts Kan啤niskais nosaukums, arī pieņemts

Failu parametriem nepieciešams publisks https:// URL, data: URI līdz 10 MB vai augšupielādes file_url. Faili

Izvade

GET /requests/req_8k2m4q7x1z9c3v5b6n0p2r4t
{
  "id": "req_8k2m4q7x1z9c3v5b6n0p2r4t",
  "object": "request",
  "model": "openai/gpt-image-2/edit",
  "status": "succeeded",
  "created_at": "2026-10-20T12:00:00Z",
  "started_at": "2026-10-20T12:00:02Z",
  "completed_at": "2026-10-20T12:00:09Z",
  "queue_position": null,
  "cost": {
    "credits": 222,
    "usd": "0.222",
    "charged": 222,
    "refunded": 0
  },
  "input": {
    "prompt": "A red fox trots through fresh snow at sunrise, soft golden light, shallow depth of field",
    "image_urls": [
      "https://content.doitong.com/images/showcase/v3/gen_fox_cartoon.jpg"
    ]
  },
  "output": {
    "images": [
      {
        "url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.jpeg",
        "content_type": "image/jpeg",
        "file_name": "0-output.jpeg",
        "file_size": 1843200,
        "width": 1024,
        "height": 768
      }
    ]
  },
  "outputs": [
    {
      "type": "image",
      "url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.jpeg",
      "content_type": "image/jpeg",
      "file_size": 1843200,
      "width": 1024,
      "height": 768,
      "stored": true
    }
  ],
  "error": null,
  "metrics": {
    "inference_seconds": 6.8
  },
  "urls": {
    "self": "https://api.doitong.com/v1/requests/req_8k2m4q7x1z9c3v5b6n0p2r4t",
    "cancel": "https://api.doitong.com/v1/requests/req_8k2m4q7x1z9c3v5b6n0p2r4t/cancel"
  }
}
Jūsu faili, jūsu izvēleKatrs outputs[].url ir kopija mūsu krātuvē: tiek glabāta mūžīgi (maksa par GB mēnesī) vai 7 dienas bez maksas — atbilstoši konta iestatījumam vai ?storage=.
Vienāda struktūra katram modelimtype, url, content_type, width, height un duration gan attēliem, gan video un audio. output ir paša modeļa rezultāta objekts.
Izvades lauki
images
array of object {url, content_type, file_name, file_size, width, height}Modeļa ģenerētie attēli.

Vairāk modeļu: Attēlu rediģēšana

AI aģentiem: šī lapa Markdown formātā ir pieejama https://doitong.com/lv/developers/models/openai/gpt-image-2/edit.md. Visi modeļi un ceļveži: https://doitong.com/developers/llms.txt